import request from "../utils/request";

/**
 * 登录
 * @param params 
 */
function login(params:WechatMiniprogram.requestParamsData) {
  return request({
    url: "/v3/login",
    data: params.data,
    success: params.success
  })
}

/**
 * 获取手机号
 * @param params 
 */
function getPhone(params:WechatMiniprogram.requestParamsData) {
  return request({
    url: "/v3/getuserphonenumber",
    data: params.data,
    header:{
      Authorization: wx.getStorageSync("token"),
      ...params.header
    },
    success: params.success
  })
}

/**
 * 下单
 * @param params 
 */
function createOrder(params:WechatMiniprogram.requestParamsData) {
  return request({
    url: "/v3/jsApiPay",
    data: params.data,
    header:{
      Authorization: wx.getStorageSync("token"),
      ...params.header
    },
    success: params.success
  })
}

/**
 * 获取状态
 * @param params 
 */
function getUser(params:WechatMiniprogram.requestParamsData) {
  if(!wx.getStorageSync("token")) return;
  return request({
    url: "/v3/user-state",
    data: params.data,
    header:{
      Authorization: wx.getStorageSync("token"),
      ...params.header
    },
    success: params.success
  })
}

/**
 * 获取视频结果
 * @param params 
 */
function getVideo(params:WechatMiniprogram.requestParamsData) {
  return request({
    url: "/v3/getVideo",
    data: params.data,
    header:{
      Authorization: wx.getStorageSync("token"),
      ...params.header
    },
    success: params.success
  })
}

function seaveUserData(params:WechatMiniprogram.requestParamsData) {
  return request({
    url: "/v3/save-info",
    data: params.data,
    method: params.method,
    header:{
      Authorization: wx.getStorageSync("token"),
      ...params.header
    },
    success: params.success
  })
}

export default {
  login,
  getPhone,
  createOrder,
  getUser,
  getVideo,
  seaveUserData
}
